Subject: Re: linux-next: Tree for Sep 19 (make htmldocs problem)

From: Jonathan Corbet <[email-masked]>
Date: Sun, 21 Sep 2025 08:03:25 -0600

Mauro, have you seen this ... any ideas ... ?  Randy, what can you say
about the environment you're running when you hit this problem?

(It doesn't reproduce here).

jon

Randy Dunlap <[email-masked]> writes:

> Hi,
>
> On 9/19/25 8:05 AM, Mark Brown wrote:
>
> With today's linux-next, when I do 'make O=DOC1 htmldocs', I get:
>
> make[1]: Entering directory '/home/rdunlap/lnx/repo/linux-next/DOC1'
> ../Documentation/Makefile:71: warning: overriding recipe for target 'pdfdocs'
> ../Documentation/Makefile:62: warning: ignoring old recipe for target 'pdfdocs'
>   File "/usr/bin/sphinx-build", line 1
>     ELF
> SyntaxError: source code cannot contain null bytes
> make[1]: Leaving directory '/home/rdunlap/lnx/repo/linux-next/DOC1'
>
> where the "ELF" line contains some binary bytes that are not shown
> via copy/paste. Here they are in hex in case that might help:
>
> 7f 45 4c 46 02 01 01 0a              .ELF....
>
>
> I don't see what is causing this, so I am using the previous day's
> linux-next for Documentation testing etc...
>
> Any ideas/suggestions appreciated.
>
> -- 
> ~Randy